private ["_jets", "_all", "_plane", "_grp", "_nimspots", "_veloPlane", "_dir",
	 "_v3a", "_v3b", "_v4a", "_v4b"];

_jets = [] call TTT_fnc_planeTypes;
_plane = _jets call BIS_fnc_selectRandom;

_nimspots = ["nimspots"] call TTT_fnc_global;

// _plane = [_plane, getPos PlaneSpawn, 500, getDir _nimspots] call TTT_fnc_placeVehicle;
// createVehicleCrew _plane;
// _grp = group driver _plane;
// _plane setVelocity [20,20,0];
_grp = createGroup west;
_all = [getPos PlaneSpawn, getDir _nimspots, _plane, _grp] call BIS_fnc_spawnVehicle;
_plane = _all select 0;

// _plane animate ["gear", 1];
driver _plane action ["Gear", _plane];
// _plane animate ["flaps", 1];
driver _plane action ["FlapsDown", _plane];
_plane animate ["tailhook", 1];
[_plane] call TTT_fnc_syncTailhook;


_wp = _grp addWaypoint [Cat3, 5];
_wp setWaypointType "LAND";
_wp setWaypointSpeed "SLOW";

waitUntil {_plane distance _nimspots < 2000};
hint "Setting up approach";

_plane allowDamage false;

// force a touchdown
// copied and inspired from 
// http://hx3.de/editing-scripting-167/unterstuetzungen-helikopter-flugzeuge-20992
// Original script by Vienna

_v3a = -2;
_v4a = -2;
while {alive _plane and _plane distance _nimspots > 550} do {
  _veloPlane = velocity _plane;
  _dir = direction _plane;
  _v3b = 1;
  _v4b = 1;
  if (speed _plane > 200) then { _v3b = _v3a };
  if (getPosASL _plane select 2 > 18) then { _v4b = _v4a };
  _plane setVelocity [
	(_veloPlane select 0) + (sin _dir * _v3b),
        (_veloPlane select 1) + (cos _dir * _v3b),
        (_veloPlane select 2) + _v4b
  ];
  sleep 0.2;
  hint format ["%1 at %2", speed _plane, getPosASL _plane select 2];
};

// _plane animate ["gear", 1];
// driver _plane action ["Land", _plane];
driver _plane action ["LandGear", _plane];
// player action ["Gear", _plane];
// _plane animate ["flaps", 1];
driver _plane action ["FlapsDown", _plane];

_v3a = -2;
_v4a = -1;
while {alive _plane and _plane distance _nimspots > 100 and getPosASL _plane select 2 > 18} do {
  _veloPlane = velocity _plane;
  _dir = direction _plane;
  _v3b = 1;
  _v4b = 1;
  if (speed _plane > 200) then { _v3b = _v3a };
  if (getPosASL _plane select 2 > 18) then { _v4b = _v4a };
  _plane setVelocity [
	(_veloPlane select 0) + (sin _dir * _v3b),
        (_veloPlane select 1) + (cos _dir * _v3b),
        (_veloPlane select 2) + _v4b
  ];
  sleep 0.1;
  hint format ["%1 at %2", speed _plane, getPosASL _plane select 2];
};

_plane animate ["tailhook", 0];

_plane setDir (getDir _nimspots);
_plane setVelocity [0,0,0];
// { deleteVehicle _x } foreach crew _plane;
sleep 1;

_dir = getDir _nimspots - 90;
[_plane, [TaxiE2, E2], _dir] execVM "taxi.sqf";
